API Reference
API Reference

Uploaded File Tester Transcript

Read the stored transcript currently selected for an uploaded-file LLM test.

This does not execute a tool or return a historical test-input snapshot. Reads remain available when conditional workflow admission is disabled.

GET/api/v1/insights/files/{file_id}/test-transcript

Authentication

Syllable-API-Keyrequired

Send Syllable-API-Key in the header.

Need a credential? Create or manage an API token in the Syllable Console.

Parameters

Path parameters

file_id integer path required
Exclusive minimum 0

Responses

200Successful Response

application/json

response InsightFileTestTranscript required
2 fields
transcriptionobject[]optional
Item schema
itemsobjectrequired
unavailable_reasonenum<string> | nulloptional
Allowed values ["conditional_transcript_unavailable","no_stored_transcript"]
Response example
{
  "transcription": [
    "string"
  ],
  "unavailable_reason": "string"
}
404Upload file not found

No response body is declared.

422Validation Error

application/json

response HTTPValidationError required
1 field
detailValidationError[]optional
Item schema
itemsValidationErrorrequired
3 fields
locstring | integer[]required
Item schema
itemsstring | integerrequired
2 options
Option 1stringrequired
Option 2integerrequired
msgstringrequired
typestringrequired
Response example
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}